Name: xwc
Version: 0.91.4
Release: alt2
Serial: 1

License: GPL
Url: http://study.haifa.ac.il/~mbaranov/xwc.html
Summary: A filemanager for X
Summary(ru_RU.CP1251):    
Group: File tools
Packager: Aleksandr Blokhin 'Sass' <sass@altlinux.ru>

Provides: %name-0.91.4patch1 <= ipl11mdk
Obsoletes: %name-0.91.4patch1

Source0: %name-%version.tar.bz2
Source1: fox-0.99.42.tar.bz2
Source2: %name
Source3: %name.xpm.bz2
Source4: %name-32.xpm.bz2

Patch0: fox-0.99.42.patch.bz2
Patch1: fox-0.99.42.patch2.bz2
Patch2: xwc-compile.patch.bz2
Patch3: %name-%version-sstream.patch

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: XFree86-devel gcc-c++ libstdc++-devel

%description
X file manager for X11 written using the FOX toolkit.
(http://cyberia.cfdrc.com/FOX/fox.html) It has Windows Commander or MS-Explorer
look and it's very fast and simple. The main features are: file associations,
mount/umount devices, directory tree for quick cd, change file attributes, auto
save registry, compressed archives view/creation/extraction, automatic
query/install/upgrade of rpm's, and much more.

Not required but strongly encouraged to get full use of default file
associations :
. ee for graphics
. xmms for audios
. mtvp for videos
. gxtar for compressed archives

rpm utility and text viewer are provided.

# Yes there is the FOX lib inside this spec file. Since xwc is the only
# software to use this lib, and since the xwc binary is not dynamically
# linked, this decision has been taken in accord with QA.

%description -l ru_RU.CP1251
      X  X11,  Windows Commander
 MS-Explorer,     FOX.
 :  , / ,
    ,   , 
 , // , 
// rpm-   .

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
pushd fox
%__autoconf      # patched configure.in
%configure --without-opengl
%make_build
popd

%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_menudir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_libdir/foxrc
mkdir -p $RPM_BUILD_ROOT%_libdir/foxicons
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version

install -m755 %name $RPM_BUILD_ROOT%_bindir
install -m755 QueryRPM/QueryRPM $RPM_BUILD_ROOT%_bindir
install -m755 textedit/textedit $RPM_BUILD_ROOT%_bindir
install -m755 textview/textview $RPM_BUILD_ROOT%_bindir

install -m644 Desktop $RPM_BUILD_ROOT%_libdir/foxrc
install -m644 icons/* $RPM_BUILD_ROOT%_libdir/foxicons
install -m644 AUTHORS COPYING README $RPM_BUILD_ROOT%_docdir/%name-%version

# menu
install -m644 %SOURCE2 $RPM_BUILD_ROOT%_menudir

# icon
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING README
%_bindir/*
%_menudir/%name
%_libdir/foxicons
%_libdir/foxrc
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Thu Nov 14 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:0.91.4-alt2
- Added genericname for menu

* Sun Oct 13 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:0.91.4-alt1
- rebuilded with gcc3.2
- added xwc-0.91.4-sstream.patch
- updated build macros
- changed package name

* Wed Jan 09 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.91.4patch1-ipl11mdk
- added Summary & description in CP1251 encoding

* Sat Dec 29 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.91.4patch1-ipl10mdk
- merged with Mandrake patches
- updated spec
- updated to rpm-4.0.3

* Wed Jan 17 2001 AEN <aen@logic.ru> 0.91.4patch1-ipl9mdk
- RE adaptation

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-8mdk
- automatically added packager tag

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.91.4patch1-7mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-6mdk
- BM
- macros

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-5mdk
- fixed compile flags to actually compile for i586
- added 32x32 icon
- fixed wrong directory owns
- fixed menu mistake

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-4mdk
- added icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-3mdk
- fixed minor bug in "add to archive..."

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-2mdk
- fixed keyboard first-letter browsing bug
- fixed default file sort

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-1mdk
- fixed "associate..." when passed a filename with no extension
- fixed page up/down behaviour
- fixed missing key shortcuts
- added keyboard first-letter browsing

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-2mdk
- small default filetypes add-on

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-1mdk
- first release as a mandrake package
- this file manager rocks ! try it.
- customize: better default filetypes associations
- customize: now default start has a tree and a filelist, instead of two filelists
- hack: added support for automatic record of file selectors name/type/size/date/user/group/attr sizes
- hack: now ctrl+a after ctrl+a deselects all [as expected]
- hack: added support for optional automatic record of filetypes associations when invoking "open with"

